library(Seurat)
library(hdf5r)

s.genes <- cc.genes$s.genes
g2m.genes <- cc.genes$g2m.genes

  spatial_folder <- "./Spatial/"
  output_folder <- "./RDS/"
  section_name <- "P1"

  seurat <- Load10X_Spatial(spatial_folder) 
    # Run basic workflow as SCT produce incoherent results for us
    seurat <- NormalizeData(seurat)
    seurat <- FindVariableFeatures(seurat, selection.method = "vst", nfeatures = 2000)
    all.genes <- rownames(seurat)
    seurat[["percent.mt"]] <- PercentageFeatureSet(seurat, pattern = "^MT-")
    seurat <- ScaleData(seurat, features = all.genes)

  seurat <- RunPCA(seurat, verbose = FALSE)
  seurat <- FindNeighbors(seurat, reduction = "pca", dims = 1:30)
  seurat <- FindClusters(seurat, verbose = FALSE)
  seurat <- RunUMAP(seurat, reduction = "pca", dims = 1:30)
  seurat <- CellCycleScoring(seurat, s.features = s.genes, g2m.features = g2m.genes, set.ident = FALSE)
    DefaultAssay(object = seurat) <- "Spatial"

  SpatialDimPlot(seurat)
  saveRDS(seurat, paste0(output_folder,'/', section_name,'.rds'))
  