library(Seurat)
library(SeuratDisk)

path.rds <- "./RDS/"
annotation.column <- "Annotation_Atlas"
sample.column <- "orig.ident"

seurat <- readRDS(paste0(path.rds))

DefaultAssay(seurat) <- 'RNA'

png('umap_annotation.png', width=1500, height = 1000)
DimPlot(seurat, group.by = annotation.column)
dev.off()

png('umap_sample.png', width=1500, height = 1000)
DimPlot(seurat, group.by = sample.column)
dev.off()

seurat <- FindVariableFeatures(seurat, nfeatures=16000)
seurat <- subset(seurat, features=VariableFeatures(seurat))
seurat <- UpdateSeuratObject(seurat)

seurat <- DietSeurat(seurat, counts = TRUE,
  scale.data = FALSE,
  assays = "RNA")

# remove normalized data 
seurat@meta.data[[annotation.column]] <- as.character(seurat@meta.data[[annotation.column]])

SaveH5Seurat(seurat, filename = "seurat.h5Seurat")
Convert("seurat.h5Seurat", dest = "h5ad")
file.remove("seurat.h5Seurat")
