#########################################################################
## Prepare input file for cNMF
## https://github.com/dylkot/cNMF
#########################################################################
library(Seurat)

seurat <- readRDS("../5618_CAF-S1_OV.rds")
## raw count
rawCount <- seurat@assays$RNA@counts
rawCount <- as.matrix(rawCount)
rawCount <- t(rawCount)
rawCount <- cbind(rownames(rawCount),rawCount)
colnames(rawCount)[1] <- "cell.ID"

if (!dir.exists("Output_cNMF")){
  dir.create("Output_cNMF")
}
write.table(rawCount,"Output_cNMF/rawCount_scRNA-seq_Ov_Curie.txt",sep="\t", quote=FALSE,row.names = F)

