library(Seurat)
library(ggplot2)
library(ggpubr)

OV.Curie <- readRDS("5618_CAF-S1_OV.rds")
head(OV.Curie)

DimPlot(OV.Curie,group.by = "treatment", cols =c("#fb6b64", "#00c3c6"),pt.size = 0.6) # 800 X 500
DimPlot(OV.Curie,group.by = "orig.ident",pt.size = 0.6)
DimPlot(OV.Curie,group.by = "CAF.annotation",pt.size = 0.6)
VlnPlot(OV.Curie,features = "prediction.score",group.by = "CAF.annotation") + ylim(0,1)

#### Expression ANTXR1
gene <- "ANTXR1"
treatment_naive_col = "black" 
treated_col = "gray" 

p <- VlnPlot(OV.Curie, 
        features = gene, 
        group.by = "treatment", 
        assay = "RNA", 
        pt.size = 0,
        cols = c(treatment_naive_col, treated_col)) + NoLegend() + 
  geom_boxplot(width=0.1, fill="white") +
  geom_signif(comparisons = list(c("treatment_naive", "treated")),
                y_position = c(1.9,2.1,2.4),
                map_signif_level = F, 
                test = "wilcox.test",
                textsize = 4, 
                col="black")
p
